(** Generated by coq-of-ocaml *)
Require Import CoqOfOCaml.CoqOfOCaml.
Require Import CoqOfOCaml.Settings.

Require Import TezosOfOCaml.Proto_demo.Environment.
Import Environment.Notations.
Require TezosOfOCaml.Proto_demo.Contract_storage.
Require TezosOfOCaml.Proto_demo.Cycle_repr.
Require TezosOfOCaml.Proto_demo.Parameters_repr.
Require TezosOfOCaml.Proto_demo.Raw_context.
Require TezosOfOCaml.Proto_demo.Script_repr.

Parameter init :
  Raw_context.t ->
  (Raw_context.t -> Script_repr.t ->
  Lwt.t
    (Error_monad.tzresult
      ((Script_repr.t * option Contract_storage.big_map_diff) * Raw_context.t)))
  -> option int -> option int -> list Parameters_repr.bootstrap_account ->
  list Parameters_repr.bootstrap_contract ->
  Lwt.t (Error_monad.tzresult Raw_context.t).

Parameter cycle_end :
  Raw_context.t -> Cycle_repr.t -> Lwt.t (Error_monad.tzresult Raw_context.t).
